Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.util
Class InputUtils

    java.lang.Object
      org.richfaces.component.util.InputUtils

    public final class InputUtils

extends java.lang.Object

Author:
  Maksim Kaszynski, Manfred Geiler

Nested Class Summary
`static interface` | `InputUtils.ConverterLookupStrategy`

Method Summary
`static javax.faces.convert.Converter` | `findConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String property)`
`static java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, InputUtils.ConverterLookupStrategy converterLookupStrategy, java.lang.Object value)`
`static java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
`static java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, InputUtils.ConverterLookupStrategy converterLookupStrategy, java.lang.Object val)`
`static java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object val)`
`static javax.faces.convert.Converter` | `getConverterForType(javax.faces.context.FacesContext context, java.lang.Class<?> type)`
`static java.lang.String` | `getInputValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`static java.lang.String` | `getInputValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, InputUtils.ConverterLookupStrategy converterLookupStrategy)`
`static boolean` | `isDisabled(javax.faces.component.UIComponent component)`
`static boolean` | `isReadOnly(javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isDisabled

    public static boolean isDisabled(javax.faces.component.UIComponent component)

### isReadOnly

    public static boolean isReadOnly(javax.faces.component.UIComponent component)

### getConverterForType

    public static javax.faces.convert.Converter getConverterForType(javax.faces.context.FacesContext context,
                                                                    java.lang.Class<?> type)

### getConvertedStringValue

    public static java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component,
                                                           java.lang.Object value)
                                                    throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedStringValue

    public static java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component,
                                                           InputUtils.ConverterLookupStrategy converterLookupStrategy,
                                                           java.lang.Object value)
                                                    throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### findConverter

    public static javax.faces.convert.Converter findConverter(javax.faces.context.FacesContext facesContext,
                                                              javax.faces.component.UIComponent component,
                                                              java.lang.String property)

### getConvertedValue

    public static java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                                     javax.faces.component.UIComponent component,
                                                     java.lang.Object val)
                                              throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedValue

    public static java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                                     javax.faces.component.UIComponent component,
                                                     InputUtils.ConverterLookupStrategy converterLookupStrategy,
                                                     java.lang.Object val)
                                              throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getInputValue

    public static java.lang.String getInputValue(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component)
                                          throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getInputValue

    public static java.lang.String getInputValue(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component,
                                                 InputUtils.ConverterLookupStrategy converterLookupStrategy)
                                          throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.